Subject: [bug#53765] [PATCH 10/17] gnu: Add clojure-tools-logging.

From: Maxime Devos <[email-masked]>
Date: Tue, 08 Feb 2022 11:15:27 +0100

Reily Siegel schreef op ma 07-02-2022 om 17:19 [-0500]:
> > Like mentioned for another packages, in that case the tests or the
> > main
> > code are broken, and in the latter case, clojure-tools-logging is
> > broken, so it should be fixed or at the very least upstream should
> > be
> > informed, before including it in Guix.
> 
> This is caused by a problem with how Guix compiles clojure itself, in
> the ant-build-system. I believe it has to do with preserving
> timestamps
> on AOT compiled files, but it is not a bug I fully understand or am
> qualified to fix. However, to be clear, tests upstream are fine.

I recommend filing a bug and linking to it from a comment next to
;; #:tests? #false.

Greetings,
Maxime.